
package escrituraobjetosserializados;

import encapsuladores.Estado;
import java.io.File;
import java.io.FileOutputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

public class EscrituraObjetosSerializados {

    public static void main(String[] args) {
        try{            
             ObjectOutputStream objectOutputStream = new ObjectOutputStream(new FileOutputStream(new File("D:\\archivos_creados_Java\\objetos_serializados.dat")));
             ArrayList<Estado> listaEstados = new ArrayList();

             listaEstados.add(new Estado(1, "España",   46570000));
             listaEstados.add(new Estado(2, "Portugal", 10310000));
             listaEstados.add(new Estado(3, "Alemania", 82790000));
             listaEstados.add(new Estado(4, "Francia",  67120000));
             listaEstados.add(new Estado(5, "Italia",   60590000));                            
             
             objectOutputStream.writeInt(new Integer(listaEstados.size())); 
             for (Estado estado : listaEstados)
                 objectOutputStream.writeObject(estado);
             
             objectOutputStream.flush();
             objectOutputStream.close();
             
           } catch (Exception excepcion)
               {System.out.println(excepcion.getMessage());}       
    }   
}
